## cascading.pipe.joiner
Class BaseJoiner

    java.lang.Object
      cascading.pipe.joiner.BaseJoiner

All Implemented Interfaces:
  DeclaresResults, Joiner, Serializable

Direct Known Subclasses:
  BufferJoin, InnerJoin, LeftJoin, MixedJoin, OuterJoin, RightJoin

    public abstract class BaseJoiner

extends Object
implements Joiner, DeclaresResults

See Also:
  Serialized Form

Constructor Summary
`BaseJoiner()`
`BaseJoiner(Fields fieldDeclaration)`

Method Summary
`Fields` `getFieldDeclaration()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface cascading.pipe.joiner.Joiner
`getIterator, numJoins`

Constructor Detail

### BaseJoiner

    public BaseJoiner()

### BaseJoiner

    public BaseJoiner(Fields fieldDeclaration)

Method Detail

### getFieldDeclaration

    public Fields getFieldDeclaration()

  Specified by:
    `getFieldDeclaration` in interface `DeclaresResults`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.